variable "manifest" {
  type    = string
  default = "manifest.json"
}

source "lxc" "gatus" {
  config_file         = "config/lxc-config"
  template_name       = "download"
  template_parameters = ["--dist", "Debian", "--release", "Bookworm", "--arch", "armv7l"]
}

variable "gatus_tls_nfs_server" {
  type        = string
  description = "The NFS mount server for TLS certificates"
}

build {
  sources = ["source.lxc.gatus"]

  provisioner "shell" {
    script = "scripts/timezone.sh"
  }

  provisioner "shell" {
    script = "scripts/gatus.sh"
    environment_vars = [
        "GATUS_TLS_NFS_SERVER=${var.gatus_tls_nfs_server}"
      ]
  }
}

packer {
  required_plugins {
    lxc = {
      version = ">= 1.0.2"
      source  = "github.com/hashicorp/lxc"
    }
  }
}
