variable "manifest" {
  type    = string
  default = "manifest.json"
}

source "lxc" "postgres" {
  config_file         = "config/lxc-config"
  template_name       = "download"
  template_parameters = ["--dist", "Debian_by_maurer", "--release", "Bookworm", "--arch", "armv7l"]
}

build {
  sources = ["source.lxc.postgres"]

  provisioner "shell" {
    script = "scripts/timezone.sh"
  }

  provisioner "shell" {
    script = "scripts/postgres.sh"
  }
}

packer {
  required_plugins {
    lxc = {
      version = ">= 1.0.2"
      source  = "github.com/hashicorp/lxc"
    }
  }
}
